task:
  name: FreeBSD
  freebsd_instance:
    matrix:
      - image_family: freebsd-13-2-snap
  env:
    CC: /usr/bin/cc
    CXX: /usr/bin/c++
    # /usr/ports/Mk/Uses/localbase.mk localbase:ldflags
    LOCALBASE: /usr/local
    CFLAGS: -isystem $LOCALBASE/include
    CPPFLAGS: $CFLAGS
    CXXFLAGS: $CFLAGS
    LDFLAGS: -L$LOCALBASE/lib
  deps_script:
    - sed -i.bak 's/quarterly/latest/' /etc/pkg/FreeBSD.conf
    - env ASSUME_ALWAYS_YES=yes pkg update -f
    - env ASSUME_ALWAYS_YES=yes pkg install -y gettext-tools glib gobject-introspection gperf gtk-doc
                                               itstool libxmlb libyaml meson pkgconf qt6-tools
                                               snowballstemmer textproc/py-gi-docgen vala
  build_script:
    - tests/ci/run-build.sh
